function [] = writeMovFile(movName, movArr)
    % moveArr er 2dim
    % moveName: movStd
    
    fName = ['movLib/' movName '.txt'];
    fi = fopen(fName, 'w');
    
    noCha = size(movArr, 2);
    no12Cli = size(movArr, 1);
    
    fprintf(fi, "%s\n", ['MOVE: ' movName]); % MOVE: mov0_3
    fprintf(fi, "%s\n", ['no chan ' num2str(noCha)]); % no chan 2
    fprintf(fi, "%s\n", ['no cli ' num2str(no12Cli/12)]); % no cli 3
 
    fprintf(fi, "\n"); 
    fprintf(fi, "%s\n", ['cli  1  2  ...']); % cli  1 2 ...
    fprintf(fi, "______________\n");  % ________
    fprintf(fi, "\n"); 
    
    for i = 1 : no12Cli 
        if mod(i, 12) == 0
            c = [num2str(i) '--  '];
        elseif mod(i, 6) == 0
            c = [num2str(i) '-   '];
        else
            c = [num2str(i) '    '];
        end
        c = [c(1:4)];
        for ii = 1 : noCha
            val = movArr(i, ii);
            if val ~= 0
                valStr = num2str(val);
            else
                valStr = ' ';
            end
            c = [c '|' valStr ' '];
        end
        fprintf(fi, "%s\n", c); % 2   |3 |5 
    end
    
    fclose(fi);   
end








% MOVE: mov0_3
% no chan 2
% no cli 3
% 
% cli  1 2
% ________
% 
% 1   |  |    
% 2   |3 |5   
% 3   |  |    
% 4   |  |    
% 5   |  |    
% 6-  |  |    
% 7   |  |    
% 8   |  |    
% 9   |  |    
% 10  |  |    
% 11  |  |    
% 12--|  |    
% 13  |  |    
% 14  |  |    
% 15  |  |    
% 16  |  |    
% 17  |  |    
% 18- |  |    
% 19  |  |    
% 20  |  |    
% 21  |  |    
% 22  |  |    
% 23  |  |    
% 24--|  |    
% 25  |  |  
% 26  |  |  
% 27  |  |  
% 28  |  |  
% 29  |  |  
% 30- |  |  
% 31  |  |  
% 32  |  |  
% 33  |  |  
% 34  |  |  
% 35  |  |  
% 36--|  |    
%     |  |